check = { cmd = "scripts/codecheck", help = "Run static code analysis" }
format = { cmd = "poetry run black knot_resolver_manager/ tests/", help = "Run 'Black' code formater" }
fixdeps = { shell = "poetry install; yarn install", help = "Install/update dependencies according to configuration files"}
+commit = { shell = "scripts/commit", help = "Invoke every single check before commiting" }
clean = """
rm -rf .coverage
.mypy_cache
--- /dev/null
+#!/bin/bash
+
+# fail early
+set -e
+
+# ensure consistent behaviour
+src_dir="$(dirname "$(realpath "$0")")"
+source $src_dir/_env.sh
+
+
+# run code check
+poe check
+
+# run integration tests
+poe integration
+
+# invoke commit
+git commit $@
\ No newline at end of file